Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/11
Addresses2^117
/64 networks2^53
Network
fc40::/11
First address
fc40::
Last address
fc5f:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
166,153,499,473,114,484,112,975,882,535,043,072 (2^117)
/64 networks (LANs)
9,007,199,254,740,992 (2^53)
Full form
fc40:0000:0000:0000:0000:0000:0000:0000
Type
Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8
Reverse DNS zones
4.c.f.ip6.arpa
5.c.f.ip6.arpa
/11 is not on a 4-bit boundary, so it takes 2 /12 zones.
Split into smaller subnets/24

fc40::/11 makes 8,192 subnets of /24; the first 256 are listed.

Subnets
#SubnetLast address
1fc40::/24fc40:ff:ffff:ffff:ffff:ffff:ffff:ffff
2fc40:100::/24fc40:1ff:ffff:ffff:ffff:ffff:ffff:ffff
3fc40:200::/24fc40:2ff:ffff:ffff:ffff:ffff:ffff:ffff
4fc40:300::/24fc40:3ff:ffff:ffff:ffff:ffff:ffff:ffff
5fc40:400::/24fc40:4ff:ffff:ffff:ffff:ffff:ffff:ffff
6fc40:500::/24fc40:5ff:ffff:ffff:ffff:ffff:ffff:ffff
7fc40:600::/24fc40:6ff:ffff:ffff:ffff:ffff:ffff:ffff
8fc40:700::/24fc40:7ff:ffff:ffff:ffff:ffff:ffff:ffff
9fc40:800::/24fc40:8ff:ffff:ffff:ffff:ffff:ffff:ffff
10fc40:900::/24fc40:9ff:ffff:ffff:ffff:ffff:ffff:ffff
11fc40:a00::/24fc40:aff:ffff:ffff:ffff:ffff:ffff:ffff
12fc40:b00::/24fc40:bff:ffff:ffff:ffff:ffff:ffff:ffff
13fc40:c00::/24fc40:cff:ffff:ffff:ffff:ffff:ffff:ffff
14fc40:d00::/24fc40:dff:ffff:ffff:ffff:ffff:ffff:ffff
15fc40:e00::/24fc40:eff:ffff:ffff:ffff:ffff:ffff:ffff
16fc40:f00::/24fc40:fff:ffff:ffff:ffff:ffff:ffff:ffff
17fc40:1000::/24fc40:10ff:ffff:ffff:ffff:ffff:ffff:ffff
18fc40:1100::/24fc40:11ff:ffff:ffff:ffff:ffff:ffff:ffff
19fc40:1200::/24fc40:12ff:ffff:ffff:ffff:ffff:ffff:ffff
20fc40:1300::/24fc40:13ff:ffff:ffff:ffff:ffff:ffff:ffff
21fc40:1400::/24fc40:14ff:ffff:ffff:ffff:ffff:ffff:ffff
22fc40:1500::/24fc40:15ff:ffff:ffff:ffff:ffff:ffff:ffff
23fc40:1600::/24fc40:16ff:ffff:ffff:ffff:ffff:ffff:ffff
24fc40:1700::/24fc40:17ff:ffff:ffff:ffff:ffff:ffff:ffff
25fc40:1800::/24fc40:18ff:ffff:ffff:ffff:ffff:ffff:ffff
26fc40:1900::/24fc40:19ff:ffff:ffff:ffff:ffff:ffff:ffff
27fc40:1a00::/24fc40:1aff:ffff:ffff:ffff:ffff:ffff:ffff
28fc40:1b00::/24fc40:1bff:ffff:ffff:ffff:ffff:ffff:ffff
29fc40:1c00::/24fc40:1cff:ffff:ffff:ffff:ffff:ffff:ffff
30fc40:1d00::/24fc40:1dff:ffff:ffff:ffff:ffff:ffff:ffff
31fc40:1e00::/24fc40:1eff:ffff:ffff:ffff:ffff:ffff:ffff
32fc40:1f00::/24fc40:1fff:ffff:ffff:ffff:ffff:ffff:ffff
33fc40:2000::/24fc40:20ff:ffff:ffff:ffff:ffff:ffff:ffff
34fc40:2100::/24fc40:21ff:ffff:ffff:ffff:ffff:ffff:ffff
35fc40:2200::/24fc40:22ff:ffff:ffff:ffff:ffff:ffff:ffff
36fc40:2300::/24fc40:23ff:ffff:ffff:ffff:ffff:ffff:ffff
37fc40:2400::/24fc40:24ff:ffff:ffff:ffff:ffff:ffff:ffff
38fc40:2500::/24fc40:25ff:ffff:ffff:ffff:ffff:ffff:ffff
39fc40:2600::/24fc40:26ff:ffff:ffff:ffff:ffff:ffff:ffff
40fc40:2700::/24fc40:27ff:ffff:ffff:ffff:ffff:ffff:ffff
41fc40:2800::/24fc40:28ff:ffff:ffff:ffff:ffff:ffff:ffff
42fc40:2900::/24fc40:29ff:ffff:ffff:ffff:ffff:ffff:ffff
43fc40:2a00::/24fc40:2aff:ffff:ffff:ffff:ffff:ffff:ffff
44fc40:2b00::/24fc40:2bff:ffff:ffff:ffff:ffff:ffff:ffff
45fc40:2c00::/24fc40:2cff:ffff:ffff:ffff:ffff:ffff:ffff
46fc40:2d00::/24fc40:2dff:ffff:ffff:ffff:ffff:ffff:ffff
47fc40:2e00::/24fc40:2eff:ffff:ffff:ffff:ffff:ffff:ffff
48fc40:2f00::/24fc40:2fff:ffff:ffff:ffff:ffff:ffff:ffff
49fc40:3000::/24fc40:30ff:ffff:ffff:ffff:ffff:ffff:ffff
50fc40:3100::/24fc40:31ff:ffff:ffff:ffff:ffff:ffff:ffff
51fc40:3200::/24fc40:32ff:ffff:ffff:ffff:ffff:ffff:ffff
52fc40:3300::/24fc40:33ff:ffff:ffff:ffff:ffff:ffff:ffff
53fc40:3400::/24fc40:34ff:ffff:ffff:ffff:ffff:ffff:ffff
54fc40:3500::/24fc40:35ff:ffff:ffff:ffff:ffff:ffff:ffff
55fc40:3600::/24fc40:36ff:ffff:ffff:ffff:ffff:ffff:ffff
56fc40:3700::/24fc40:37ff:ffff:ffff:ffff:ffff:ffff:ffff
57fc40:3800::/24fc40:38ff:ffff:ffff:ffff:ffff:ffff:ffff
58fc40:3900::/24fc40:39ff:ffff:ffff:ffff:ffff:ffff:ffff
59fc40:3a00::/24fc40:3aff:ffff:ffff:ffff:ffff:ffff:ffff
60fc40:3b00::/24fc40:3bff:ffff:ffff:ffff:ffff:ffff:ffff
61fc40:3c00::/24fc40:3cff:ffff:ffff:ffff:ffff:ffff:ffff
62fc40:3d00::/24fc40:3dff:ffff:ffff:ffff:ffff:ffff:ffff
63fc40:3e00::/24fc40:3eff:ffff:ffff:ffff:ffff:ffff:ffff
64fc40:3f00::/24fc40:3fff:ffff:ffff:ffff:ffff:ffff:ffff
65fc40:4000::/24fc40:40ff:ffff:ffff:ffff:ffff:ffff:ffff
66fc40:4100::/24fc40:41ff:ffff:ffff:ffff:ffff:ffff:ffff
67fc40:4200::/24fc40:42ff:ffff:ffff:ffff:ffff:ffff:ffff
68fc40:4300::/24fc40:43ff:ffff:ffff:ffff:ffff:ffff:ffff
69fc40:4400::/24fc40:44ff:ffff:ffff:ffff:ffff:ffff:ffff
70fc40:4500::/24fc40:45ff:ffff:ffff:ffff:ffff:ffff:ffff
71fc40:4600::/24fc40:46ff:ffff:ffff:ffff:ffff:ffff:ffff
72fc40:4700::/24fc40:47ff:ffff:ffff:ffff:ffff:ffff:ffff
73fc40:4800::/24fc40:48ff:ffff:ffff:ffff:ffff:ffff:ffff
74fc40:4900::/24fc40:49ff:ffff:ffff:ffff:ffff:ffff:ffff
75fc40:4a00::/24fc40:4aff:ffff:ffff:ffff:ffff:ffff:ffff
76fc40:4b00::/24fc40:4bff:ffff:ffff:ffff:ffff:ffff:ffff
77fc40:4c00::/24fc40:4cff:ffff:ffff:ffff:ffff:ffff:ffff
78fc40:4d00::/24fc40:4dff:ffff:ffff:ffff:ffff:ffff:ffff
79fc40:4e00::/24fc40:4eff:ffff:ffff:ffff:ffff:ffff:ffff
80fc40:4f00::/24fc40:4fff:ffff:ffff:ffff:ffff:ffff:ffff
81fc40:5000::/24fc40:50ff:ffff:ffff:ffff:ffff:ffff:ffff
82fc40:5100::/24fc40:51ff:ffff:ffff:ffff:ffff:ffff:ffff
83fc40:5200::/24fc40:52ff:ffff:ffff:ffff:ffff:ffff:ffff
84fc40:5300::/24fc40:53ff:ffff:ffff:ffff:ffff:ffff:ffff
85fc40:5400::/24fc40:54ff:ffff:ffff:ffff:ffff:ffff:ffff
86fc40:5500::/24fc40:55ff:ffff:ffff:ffff:ffff:ffff:ffff
87fc40:5600::/24fc40:56ff:ffff:ffff:ffff:ffff:ffff:ffff
88fc40:5700::/24fc40:57ff:ffff:ffff:ffff:ffff:ffff:ffff
89fc40:5800::/24fc40:58ff:ffff:ffff:ffff:ffff:ffff:ffff
90fc40:5900::/24fc40:59ff:ffff:ffff:ffff:ffff:ffff:ffff
91fc40:5a00::/24fc40:5aff:ffff:ffff:ffff:ffff:ffff:ffff
92fc40:5b00::/24fc40:5bff:ffff:ffff:ffff:ffff:ffff:ffff
93fc40:5c00::/24fc40:5cff:ffff:ffff:ffff:ffff:ffff:ffff
94fc40:5d00::/24fc40:5dff:ffff:ffff:ffff:ffff:ffff:ffff
95fc40:5e00::/24fc40:5eff:ffff:ffff:ffff:ffff:ffff:ffff
96fc40:5f00::/24fc40:5fff:ffff:ffff:ffff:ffff:ffff:ffff
97fc40:6000::/24fc40:60ff:ffff:ffff:ffff:ffff:ffff:ffff
98fc40:6100::/24fc40:61ff:ffff:ffff:ffff:ffff:ffff:ffff
99fc40:6200::/24fc40:62ff:ffff:ffff:ffff:ffff:ffff:ffff
100fc40:6300::/24fc40:63ff:ffff:ffff:ffff:ffff:ffff:ffff
101fc40:6400::/24fc40:64ff:ffff:ffff:ffff:ffff:ffff:ffff
102fc40:6500::/24fc40:65ff:ffff:ffff:ffff:ffff:ffff:ffff
103fc40:6600::/24fc40:66ff:ffff:ffff:ffff:ffff:ffff:ffff
104fc40:6700::/24fc40:67ff:ffff:ffff:ffff:ffff:ffff:ffff
105fc40:6800::/24fc40:68ff:ffff:ffff:ffff:ffff:ffff:ffff
106fc40:6900::/24fc40:69ff:ffff:ffff:ffff:ffff:ffff:ffff
107fc40:6a00::/24fc40:6aff:ffff:ffff:ffff:ffff:ffff:ffff
108fc40:6b00::/24fc40:6bff:ffff:ffff:ffff:ffff:ffff:ffff
109fc40:6c00::/24fc40:6cff:ffff:ffff:ffff:ffff:ffff:ffff
110fc40:6d00::/24fc40:6dff:ffff:ffff:ffff:ffff:ffff:ffff
111fc40:6e00::/24fc40:6eff:ffff:ffff:ffff:ffff:ffff:ffff
112fc40:6f00::/24fc40:6fff:ffff:ffff:ffff:ffff:ffff:ffff
113fc40:7000::/24fc40:70ff:ffff:ffff:ffff:ffff:ffff:ffff
114fc40:7100::/24fc40:71ff:ffff:ffff:ffff:ffff:ffff:ffff
115fc40:7200::/24fc40:72ff:ffff:ffff:ffff:ffff:ffff:ffff
116fc40:7300::/24fc40:73ff:ffff:ffff:ffff:ffff:ffff:ffff
117fc40:7400::/24fc40:74ff:ffff:ffff:ffff:ffff:ffff:ffff
118fc40:7500::/24fc40:75ff:ffff:ffff:ffff:ffff:ffff:ffff
119fc40:7600::/24fc40:76ff:ffff:ffff:ffff:ffff:ffff:ffff
120fc40:7700::/24fc40:77ff:ffff:ffff:ffff:ffff:ffff:ffff
121fc40:7800::/24fc40:78ff:ffff:ffff:ffff:ffff:ffff:ffff
122fc40:7900::/24fc40:79ff:ffff:ffff:ffff:ffff:ffff:ffff
123fc40:7a00::/24fc40:7aff:ffff:ffff:ffff:ffff:ffff:ffff
124fc40:7b00::/24fc40:7bff:ffff:ffff:ffff:ffff:ffff:ffff
125fc40:7c00::/24fc40:7cff:ffff:ffff:ffff:ffff:ffff:ffff
126fc40:7d00::/24fc40:7dff:ffff:ffff:ffff:ffff:ffff:ffff
127fc40:7e00::/24fc40:7eff:ffff:ffff:ffff:ffff:ffff:ffff
128fc40:7f00::/24fc40:7fff:ffff:ffff:ffff:ffff:ffff:ffff
129fc40:8000::/24fc40:80ff:ffff:ffff:ffff:ffff:ffff:ffff
130fc40:8100::/24fc40:81ff:ffff:ffff:ffff:ffff:ffff:ffff
131fc40:8200::/24fc40:82ff:ffff:ffff:ffff:ffff:ffff:ffff
132fc40:8300::/24fc40:83ff:ffff:ffff:ffff:ffff:ffff:ffff
133fc40:8400::/24fc40:84ff:ffff:ffff:ffff:ffff:ffff:ffff
134fc40:8500::/24fc40:85ff:ffff:ffff:ffff:ffff:ffff:ffff
135fc40:8600::/24fc40:86ff:ffff:ffff:ffff:ffff:ffff:ffff
136fc40:8700::/24fc40:87ff:ffff:ffff:ffff:ffff:ffff:ffff
137fc40:8800::/24fc40:88ff:ffff:ffff:ffff:ffff:ffff:ffff
138fc40:8900::/24fc40:89ff:ffff:ffff:ffff:ffff:ffff:ffff
139fc40:8a00::/24fc40:8aff:ffff:ffff:ffff:ffff:ffff:ffff
140fc40:8b00::/24fc40:8bff:ffff:ffff:ffff:ffff:ffff:ffff
141fc40:8c00::/24fc40:8cff:ffff:ffff:ffff:ffff:ffff:ffff
142fc40:8d00::/24fc40:8dff:ffff:ffff:ffff:ffff:ffff:ffff
143fc40:8e00::/24fc40:8eff:ffff:ffff:ffff:ffff:ffff:ffff
144fc40:8f00::/24fc40:8fff:ffff:ffff:ffff:ffff:ffff:ffff
145fc40:9000::/24fc40:90ff:ffff:ffff:ffff:ffff:ffff:ffff
146fc40:9100::/24fc40:91ff:ffff:ffff:ffff:ffff:ffff:ffff
147fc40:9200::/24fc40:92ff:ffff:ffff:ffff:ffff:ffff:ffff
148fc40:9300::/24fc40:93ff:ffff:ffff:ffff:ffff:ffff:ffff
149fc40:9400::/24fc40:94ff:ffff:ffff:ffff:ffff:ffff:ffff
150fc40:9500::/24fc40:95ff:ffff:ffff:ffff:ffff:ffff:ffff
151fc40:9600::/24fc40:96ff:ffff:ffff:ffff:ffff:ffff:ffff
152fc40:9700::/24fc40:97ff:ffff:ffff:ffff:ffff:ffff:ffff
153fc40:9800::/24fc40:98ff:ffff:ffff:ffff:ffff:ffff:ffff
154fc40:9900::/24fc40:99ff:ffff:ffff:ffff:ffff:ffff:ffff
155fc40:9a00::/24fc40:9aff:ffff:ffff:ffff:ffff:ffff:ffff
156fc40:9b00::/24fc40:9bff:ffff:ffff:ffff:ffff:ffff:ffff
157fc40:9c00::/24fc40:9cff:ffff:ffff:ffff:ffff:ffff:ffff
158fc40:9d00::/24fc40:9dff:ffff:ffff:ffff:ffff:ffff:ffff
159fc40:9e00::/24fc40:9eff:ffff:ffff:ffff:ffff:ffff:ffff
160fc40:9f00::/24fc40:9fff:ffff:ffff:ffff:ffff:ffff:ffff
161fc40:a000::/24fc40:a0ff:ffff:ffff:ffff:ffff:ffff:ffff
162fc40:a100::/24fc40:a1ff:ffff:ffff:ffff:ffff:ffff:ffff
163fc40:a200::/24fc40:a2ff:ffff:ffff:ffff:ffff:ffff:ffff
164fc40:a300::/24fc40:a3ff:ffff:ffff:ffff:ffff:ffff:ffff
165fc40:a400::/24fc40:a4ff:ffff:ffff:ffff:ffff:ffff:ffff
166fc40:a500::/24fc40:a5ff:ffff:ffff:ffff:ffff:ffff:ffff
167fc40:a600::/24fc40:a6ff:ffff:ffff:ffff:ffff:ffff:ffff
168fc40:a700::/24fc40:a7ff:ffff:ffff:ffff:ffff:ffff:ffff
169fc40:a800::/24fc40:a8ff:ffff:ffff:ffff:ffff:ffff:ffff
170fc40:a900::/24fc40:a9ff:ffff:ffff:ffff:ffff:ffff:ffff
171fc40:aa00::/24fc40:aaff:ffff:ffff:ffff:ffff:ffff:ffff
172fc40:ab00::/24fc40:abff:ffff:ffff:ffff:ffff:ffff:ffff
173fc40:ac00::/24fc40:acff:ffff:ffff:ffff:ffff:ffff:ffff
174fc40:ad00::/24fc40:adff:ffff:ffff:ffff:ffff:ffff:ffff
175fc40:ae00::/24fc40:aeff:ffff:ffff:ffff:ffff:ffff:ffff
176fc40:af00::/24fc40:afff:ffff:ffff:ffff:ffff:ffff:ffff
177fc40:b000::/24fc40:b0ff:ffff:ffff:ffff:ffff:ffff:ffff
178fc40:b100::/24fc40:b1ff:ffff:ffff:ffff:ffff:ffff:ffff
179fc40:b200::/24fc40:b2ff:ffff:ffff:ffff:ffff:ffff:ffff
180fc40:b300::/24fc40:b3ff:ffff:ffff:ffff:ffff:ffff:ffff
181fc40:b400::/24fc40:b4ff:ffff:ffff:ffff:ffff:ffff:ffff
182fc40:b500::/24fc40:b5ff:ffff:ffff:ffff:ffff:ffff:ffff
183fc40:b600::/24fc40:b6ff:ffff:ffff:ffff:ffff:ffff:ffff
184fc40:b700::/24fc40:b7ff:ffff:ffff:ffff:ffff:ffff:ffff
185fc40:b800::/24fc40:b8ff:ffff:ffff:ffff:ffff:ffff:ffff
186fc40:b900::/24fc40:b9ff:ffff:ffff:ffff:ffff:ffff:ffff
187fc40:ba00::/24fc40:baff:ffff:ffff:ffff:ffff:ffff:ffff
188fc40:bb00::/24fc40:bbff:ffff:ffff:ffff:ffff:ffff:ffff
189fc40:bc00::/24fc40:bcff:ffff:ffff:ffff:ffff:ffff:ffff
190fc40:bd00::/24fc40:bdff:ffff:ffff:ffff:ffff:ffff:ffff
191fc40:be00::/24fc40:beff:ffff:ffff:ffff:ffff:ffff:ffff
192fc40:bf00::/24fc40:bfff:ffff:ffff:ffff:ffff:ffff:ffff
193fc40:c000::/24fc40:c0ff:ffff:ffff:ffff:ffff:ffff:ffff
194fc40:c100::/24fc40:c1ff:ffff:ffff:ffff:ffff:ffff:ffff
195fc40:c200::/24fc40:c2ff:ffff:ffff:ffff:ffff:ffff:ffff
196fc40:c300::/24fc40:c3ff:ffff:ffff:ffff:ffff:ffff:ffff
197fc40:c400::/24fc40:c4ff:ffff:ffff:ffff:ffff:ffff:ffff
198fc40:c500::/24fc40:c5ff:ffff:ffff:ffff:ffff:ffff:ffff
199fc40:c600::/24fc40:c6ff:ffff:ffff:ffff:ffff:ffff:ffff
200fc40:c700::/24fc40:c7ff:ffff:ffff:ffff:ffff:ffff:ffff
201fc40:c800::/24fc40:c8ff:ffff:ffff:ffff:ffff:ffff:ffff
202fc40:c900::/24fc40:c9ff:ffff:ffff:ffff:ffff:ffff:ffff
203fc40:ca00::/24fc40:caff:ffff:ffff:ffff:ffff:ffff:ffff
204fc40:cb00::/24fc40:cbff:ffff:ffff:ffff:ffff:ffff:ffff
205fc40:cc00::/24fc40:ccff:ffff:ffff:ffff:ffff:ffff:ffff
206fc40:cd00::/24fc40:cdff:ffff:ffff:ffff:ffff:ffff:ffff
207fc40:ce00::/24fc40:ceff:ffff:ffff:ffff:ffff:ffff:ffff
208fc40:cf00::/24fc40:cfff:ffff:ffff:ffff:ffff:ffff:ffff
209fc40:d000::/24fc40:d0ff:ffff:ffff:ffff:ffff:ffff:ffff
210fc40:d100::/24fc40:d1ff:ffff:ffff:ffff:ffff:ffff:ffff
211fc40:d200::/24fc40:d2ff:ffff:ffff:ffff:ffff:ffff:ffff
212fc40:d300::/24fc40:d3ff:ffff:ffff:ffff:ffff:ffff:ffff
213fc40:d400::/24fc40:d4ff:ffff:ffff:ffff:ffff:ffff:ffff
214fc40:d500::/24fc40:d5ff:ffff:ffff:ffff:ffff:ffff:ffff
215fc40:d600::/24fc40:d6ff:ffff:ffff:ffff:ffff:ffff:ffff
216fc40:d700::/24fc40:d7ff:ffff:ffff:ffff:ffff:ffff:ffff
217fc40:d800::/24fc40:d8ff:ffff:ffff:ffff:ffff:ffff:ffff
218fc40:d900::/24fc40:d9ff:ffff:ffff:ffff:ffff:ffff:ffff
219fc40:da00::/24fc40:daff:ffff:ffff:ffff:ffff:ffff:ffff
220fc40:db00::/24fc40:dbff:ffff:ffff:ffff:ffff:ffff:ffff
221fc40:dc00::/24fc40:dcff:ffff:ffff:ffff:ffff:ffff:ffff
222fc40:dd00::/24fc40:ddff:ffff:ffff:ffff:ffff:ffff:ffff
223fc40:de00::/24fc40:deff:ffff:ffff:ffff:ffff:ffff:ffff
224fc40:df00::/24fc40:dfff:ffff:ffff:ffff:ffff:ffff:ffff
225fc40:e000::/24fc40:e0ff:ffff:ffff:ffff:ffff:ffff:ffff
226fc40:e100::/24fc40:e1ff:ffff:ffff:ffff:ffff:ffff:ffff
227fc40:e200::/24fc40:e2ff:ffff:ffff:ffff:ffff:ffff:ffff
228fc40:e300::/24fc40:e3ff:ffff:ffff:ffff:ffff:ffff:ffff
229fc40:e400::/24fc40:e4ff:ffff:ffff:ffff:ffff:ffff:ffff
230fc40:e500::/24fc40:e5ff:ffff:ffff:ffff:ffff:ffff:ffff
231fc40:e600::/24fc40:e6ff:ffff:ffff:ffff:ffff:ffff:ffff
232fc40:e700::/24fc40:e7ff:ffff:ffff:ffff:ffff:ffff:ffff
233fc40:e800::/24fc40:e8ff:ffff:ffff:ffff:ffff:ffff:ffff
234fc40:e900::/24fc40:e9ff:ffff:ffff:ffff:ffff:ffff:ffff
235fc40:ea00::/24fc40:eaff:ffff:ffff:ffff:ffff:ffff:ffff
236fc40:eb00::/24fc40:ebff:ffff:ffff:ffff:ffff:ffff:ffff
237fc40:ec00::/24fc40:ecff:ffff:ffff:ffff:ffff:ffff:ffff
238fc40:ed00::/24fc40:edff:ffff:ffff:ffff:ffff:ffff:ffff
239fc40:ee00::/24fc40:eeff:ffff:ffff:ffff:ffff:ffff:ffff
240fc40:ef00::/24fc40:efff:ffff:ffff:ffff:ffff:ffff:ffff
241fc40:f000::/24fc40:f0ff:ffff:ffff:ffff:ffff:ffff:ffff
242fc40:f100::/24fc40:f1ff:ffff:ffff:ffff:ffff:ffff:ffff
243fc40:f200::/24fc40:f2ff:ffff:ffff:ffff:ffff:ffff:ffff
244fc40:f300::/24fc40:f3ff:ffff:ffff:ffff:ffff:ffff:ffff
245fc40:f400::/24fc40:f4ff:ffff:ffff:ffff:ffff:ffff:ffff
246fc40:f500::/24fc40:f5ff:ffff:ffff:ffff:ffff:ffff:ffff
247fc40:f600::/24fc40:f6ff:ffff:ffff:ffff:ffff:ffff:ffff
248fc40:f700::/24fc40:f7ff:ffff:ffff:ffff:ffff:ffff:ffff
249fc40:f800::/24fc40:f8ff:ffff:ffff:ffff:ffff:ffff:ffff
250fc40:f900::/24fc40:f9ff:ffff:ffff:ffff:ffff:ffff:ffff
251fc40:fa00::/24fc40:faff:ffff:ffff:ffff:ffff:ffff:ffff
252fc40:fb00::/24fc40:fbff:ffff:ffff:ffff:ffff:ffff:ffff
253fc40:fc00::/24fc40:fcff:ffff:ffff:ffff:ffff:ffff:ffff
254fc40:fd00::/24fc40:fdff:ffff:ffff:ffff:ffff:ffff:ffff
255fc40:fe00::/24fc40:feff:ffff:ffff:ffff:ffff:ffff:ffff
256fc40:ff00::/24fc40:ffff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses